io.agora.rtc

## Class Capabilities

- java.lang.Object
- - io.agora.rtc.Capabilities

-     public class Capabilities
      extends java.lang.Object

  Capabilities information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CapabilityItem[]` | `capabilities` Array of capability items
    `private int` | `capabilityType` Type of capability

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Capabilities()` Default constructor for Capabilities.
    `Capabilities(CapabilityItem[] capabilities, int capabilityType)` Constructs Capabilities with capability items and type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CapabilityItem[]` | `getCapabilities()` Gets the array of capability items.
    `int` | `getCapabilityType()` Gets the type of capability.
    `void` | `setCapabilities(CapabilityItem[] capabilities)` Sets the array of capability items.
    `void` | `setCapabilityType(int capabilityType)` Sets the type of capability.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### capabilities

          private CapabilityItem[] capabilities

      Array of capability items

    - #### capabilityType

          private int capabilityType

      Type of capability

  - ### Constructor Detail

    - #### Capabilities

          public Capabilities()

      Default constructor for Capabilities.

    - #### Capabilities

          public Capabilities(CapabilityItem[] capabilities,
                              int capabilityType)

      Constructs Capabilities with capability items and type.
      Parameters:
        `capabilities` - Array of capability items
        `capabilityType` - Type of capability

  - ### Method Detail

    - #### getCapabilities

          public CapabilityItem[] getCapabilities()

      Gets the array of capability items.
      Returns:
        Array of capability items

    - #### setCapabilities

          public void setCapabilities(CapabilityItem[] capabilities)

      Sets the array of capability items.
      Parameters:
        `capabilities` - Array of capability items

    - #### getCapabilityType

          public int getCapabilityType()

      Gets the type of capability.
      Returns:
        Type of capability

    - #### setCapabilityType

          public void setCapabilityType(int capabilityType)

      Sets the type of capability.
      Parameters:
        `capabilityType` - Type of capability

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`